Credits | Overview | Plotting Styles | Commands | Terminals
--- | --- | --- | --- | ---

## set datafile commentschars

The command set datafile commentschars specifies what characters can be used in a data file to begin comment lines. If the first non-blank character on a line is one of these characters then the rest of the data line is ignored. Default value of the string is "#!" on VMS and "#" otherwise.

Syntax:

          set datafile commentschars {"<string>"}
          show datafile commentschars
          unset commentschars

Then, the following line in a data file is completely ignored

        # 1 2 3 4

but the following

        1 # 3 4

will be interpreted as garbage in the 2nd column followed by valid data in the 3rd and 4th columns.

Example:

          set datafile commentschars "#!%"